/*
* Copyright (c) 2012-2016, NVIDIA CORPORATION. All rights reserved.
*
* NVIDIA CORPORATION and its licensors retain all intellectual property
* and proprietary rights in and to this software, related documentation
* and any modifications thereto. Any use, reproduction, disclosure or
* distribution of this software and related documentation without an express
* license agreement from NVIDIA CORPORATION is strictly prohibited.
*/
#pragma once

#include <vulkan/vulkan.h>
#include <vulkan/vulkan.hpp>

#include <nvrhi/nvrhi.h>

namespace nvrhi {
namespace vulkan {

vk::Format convertFormat(nvrhi::Format format);
vk::SamplerAddressMode convertSamplerAddressMode(nvrhi::SamplerDesc::WrapMode mode);
uint32_t formatElementSizeBits(nvrhi::Format format);
uint32_t formatBlockSize(nvrhi::Format format);

} // namespace vk
} // namespace nvrhi
